<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/mygrey"
    android:layout_marginBottom="10dp"
    android:orientation="horizontal">

    <RelativeLayout
        android:id="@+id/head"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:layout_marginTop="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/user_icon"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:paddingRight="5dp"
            android:src="@drawable/touxiang" />

        <TextView
            android:id="@+id/postPersonName"
            android:layout_width="156dp"
            android:layout_height="24dp"
            android:layout_alignParentTop="true"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="8dp"
            android:layout_marginTop="35dp"
            android:layout_marginEnd="177dp"
            android:layout_marginBottom="16dp"
            android:layout_toEndOf="@+id/user_icon"
            android:textColor="@color/white"
            android:text="百利甜斤鱼子" />

    </RelativeLayout>

    <TextView
        android:id="@+id/textView_perception"
        android:layout_width="380dp"
        android:layout_height="wrap_content"
        android:text="多边形裁剪用于裁剪掉被裁剪多边形(又称为实体多边形，后文用S表示)位于窗口(又称为裁剪多边形，后文用C表示)之外的部分。裁剪的结果多边形是由实体多边形位于裁剪多边形内的边界和裁剪多边形位于实体多边形内的边界组成的。"
        app:layout_constraintTop_toBottomOf="@+id/head"
        app:layout_constraintEnd_toEndOf="parent"
        android:paddingRight="20dp"
        android:paddingBottom="2dp"
        android:textColor="@color/white"
        android:lines="3"
        android:ellipsize="end"/>

<!--    <LinearLayout-->
<!--        android:id="@+id/perception_pics"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="130dp"-->
<!--        android:layout_marginLeft="20dp"-->
<!--        android:orientation="horizontal"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        app:layout_constraintStart_toStartOf="parent"-->
<!--        app:layout_constraintTop_toBottomOf="@+id/textView_perception">-->

<!--        <ImageView-->
<!--            android:layout_marginLeft="10dp"-->
<!--            android:id="@+id/image1"-->
<!--            android:layout_width="130dp"-->
<!--            android:layout_height="120dp"-->
<!--            tools:srcCompat="@tools:sample/avatars" />-->

<!--        <ImageView-->
<!--            android:layout_marginLeft="10dp"-->
<!--            android:id="@+id/image2"-->
<!--            android:layout_width="130dp"-->
<!--            android:layout_height="120dp"-->
<!--            tools:srcCompat="@tools:sample/avatars" />-->

<!--        <ImageView-->
<!--            android:layout_marginLeft="10dp"-->
<!--            android:id="@+id/image3"-->
<!--            android:layout_width="130dp"-->
<!--            android:layout_height="120dp"-->
<!--            tools:srcCompat="@tools:sample/avatars" />-->
<!--    </LinearLayout>-->
    <LinearLayout
        android:id="@+id/bookInf"
        android:clickable="true"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginLeft="20dp"
        android:orientation="horizontal"
        android:background="@drawable/mydimgrey"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView_perception"
        >

        <ImageView
            android:id="@+id/book_pic"
            android:layout_width="130dp"
            android:layout_height="89dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="5dp"
            tools:srcCompat="@tools:sample/avatars" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="200dp"
                android:layout_height="75dp"

                android:layout_marginTop="10dp"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/bookAuthor"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:text="钱钟书"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/bookName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:ellipsize="end"
                    android:lines="1"
                    android:paddingTop="15dp"
                    android:text="围城"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

            </LinearLayout>
            <ImageView
                android:layout_width="wrap_content"
                android:layout_marginTop="30dp"
                android:layout_height="wrap_content"
                android:src="@drawable/wanttosee"/>
        </LinearLayout>


    </LinearLayout>
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="240dp"
        android:layout_marginTop="5dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/bookInf">

        <ImageView
            android:layout_marginLeft="10dp"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/like"/>

        <ImageView
            android:id="@+id/gotocomment"
            android:layout_marginLeft="10dp"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/comment"/>

        <ImageView
            android:layout_marginLeft="10dp"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/mark" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
